# Class Application2

java.lang.Object
com.redhat.et.libguestfs.Application2

public class Application2 extends Object
Application2 structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`app2_arch`
`String`
`app2_class`
`String`
`app2_description`
`String`
`app2_display_name`
`int`
`app2_epoch`
`String`
`app2_install_path`
`String`
`app2_name`
`String`
`app2_publisher`
`String`
`app2_release`
`String`
`app2_source_package`
`String`
`app2_spare2`
`String`
`app2_spare3`
`String`
`app2_spare4`
`String`
`app2_summary`
`String`
`app2_trans_path`
`String`
`app2_url`
`String`
`app2_version`

## Constructor Summary

Constructors
Constructor
Description
`Application2()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### app2_name

public String app2_name

### app2_display_name

public String app2_display_name

### app2_epoch

public int app2_epoch

### app2_version

public String app2_version

### app2_release

public String app2_release

### app2_arch

public String app2_arch

### app2_install_path

public String app2_install_path

### app2_trans_path

public String app2_trans_path

### app2_publisher

public String app2_publisher

### app2_url

public String app2_url

### app2_source_package

public String app2_source_package

### app2_summary

public String app2_summary

### app2_description

public String app2_description

### app2_class

public String app2_class

### app2_spare2

public String app2_spare2

### app2_spare3

public String app2_spare3

### app2_spare4

public String app2_spare4

## Constructor Details

### Application2

public Application2()